Index: trunk/client/modules/Elezioni/grafici.php
===================================================================
--- trunk/client/modules/Elezioni/grafici.php	(revision 337)
+++ trunk/client/modules/Elezioni/grafici.php	(revision 338)
@@ -403,8 +403,8 @@
 	}
 	$circond='';$circondt1='';
-	if ($genere!=0){$tab="ele_voti_gruppo";}else{$tab="ele_voti_ref";}
-	if ($genere==4 or $visgralista){$tab="ele_voti_lista";}
-	if ($votog){$tab="ele_voti_lista";}
-	$sql="select *  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ";
+	if ($genere!=0){$tab="gruppo";}else{$tab="ref";}
+	if ($genere==4 or $visgralista){$tab="lista";}
+	if ($votog){$tab="lista";}
+	$sql="select *  from ".$prefix."_ele_voti_$tab where id_cons='$id_cons' group by id_sez ";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
@@ -442,5 +442,7 @@
 		// tot voti
 			if (!$circo) 
-				$sql="select sum(voti)  from ".$prefix."_$tab where id_cons=$id_cons ";
+				$sql="select sum(voti)  from ".$prefix."_ele_voti_$tab where id_cons=$id_cons ";
+			else
+				$sql="select sum(t1.voti)  from ".$prefix."_ele_voti_$tab as t1 left join ".$prefix."_ele_$tab as t2 on t1.id_$tab=t2.id_$tab where t2.id_circ=$id_circ ";
 			if ($votog) 
 				$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons=$id_cons ";	
@@ -472,5 +474,5 @@
 			        $sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_gruppo as t1
-        			left join ".$prefix."_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
+        			left join ".$prefix."_ele_voti_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
 				group by t2.id_gruppo
@@ -485,5 +487,5 @@
 				$sql="select t1.id_lista, t1.num_lista, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_lista as t1
-        		left join ".$prefix."_$tab as t2 on (t1.id_lista=t2.id_lista)
+        		left join ".$prefix."_ele_voti_$tab as t2 on (t1.id_lista=t2.id_lista)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
 				group by t2.id_lista
@@ -623,7 +625,7 @@
 			if (isset($_SESSION['ruotag'])) { $ruotag=$_SESSION['ruotag'];}
 			else {$ruotag=1;$_SESSION['ruotag']=1;}
-			$sql="select sum(t1.validi),t1.id_gruppo from ".$prefix."_$tab as t1 left join soraldo_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons' and t2.num_gruppo='$ruotag' group by t1.id_gruppo";
+			$sql="select sum(t1.validi),t1.id_gruppo from ".$prefix."_ele_voti_$tab as t1 left join soraldo_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons' and t2.num_gruppo='$ruotag' group by t1.id_gruppo";
 		}else
-		$sql="select sum(validi),id_gruppo  from ".$prefix."_$tab where id_cons=$id_cons group by id_gruppo";
+		$sql="select sum(validi),id_gruppo  from ".$prefix."_ele_voti_$tab where id_cons=$id_cons group by id_gruppo";
 		$res = $dbi->prepare("$sql");
 		$res->execute();
@@ -634,5 +636,5 @@
 			$sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.si),  sum(t2.no)
 			from ".$prefix."_ele_gruppo as t1
-        		left join ".$prefix."_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
+        		left join ".$prefix."_ele_voti_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
 			where 	t1.id_cons='$id_cons' and t1.id_gruppo='$id_gruppo' 
 			group by t1.id_gruppo
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 337)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 338)
@@ -184,5 +184,5 @@
 			list($num_circ)=$res_cir->fetch(PDO::FETCH_NUM);
 			$condcirc="and id_circ=$id_circ";  //variabile aggiunta nelle select per le circ.
-			$sql="SELECT count(t1.num_sez) from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede and t2.id_circ=$id_circ";
+			$sql="SELECT count(t1.num_sez),min(t1.num_sez),max(t1.num_sez) from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede and t2.id_circ=$id_circ";
 			$res_sez = $dbi->prepare("$sql");
 			$res_sez->execute();
@@ -376,5 +376,5 @@
 			########
 			#	$diff=($offsetsez-$minsez);
-			if ($minsez>1){
+			if ($minsez>1 and !$circo){
 				$minsez_p= ($minsez-$diff)>1 ? $minsez-$diff:1;				 
 				$offsetsez_p=$offsetsez-$diff;
@@ -463,5 +463,5 @@
 					$datipdf="<b>"._COMUNE." $descr_comune</b> - "._RISULTATI.": $descr_cons<br/><b>$pagina</b><br/><br/> $list1 $list2 $list3 ";
 # verificare la stampa sulle circoscrizioni					
-					 echo "<div style=\"text-align:right;width:900px;margin-left:10px;margin-right:0px;font-size:12px; \">";
+					 echo "<div style=\"text-align:right;width:40%;margin-left:10px;margin-right:0px;font-size:12px; \">";
 					 echo "<table style=\"text-align:center;margin-right:0px;border-top : 1px solid Blue;width: 140px;\"><tr style=\" background:#eceff5;\"><td>"._ESPORTA."<br />";
 					 if($circo){ echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;id_circ=$id_circ&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 337)
+++ trunk/client/versione.php	(revision 338)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 337";
+$versione = "3.0 rev 338";
 $version_number = $versione;
-$datarel = "15 ottobre 2020";
+$datarel = "11 novembre 2020";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
